'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('core-js/modules/es.array.for-each');
require('core-js/modules/es.object.entries');
require('core-js/modules/web.dom-collections.for-each');
var _slicedToArray = _interopDefault(require('@babel/runtime/helpers/slicedToArray'));

/**
 * Express middleware
 * @param  config - i18n-node config
 * @return Express middleware function.
 */
function i18nForBrowser(config) {
  var configForBrowser = {
    locales: {},
    fallbacks: config.fallbacks,
    cookieName: config.cookie,
    queryParameter: config.queryParameter,
    objectNotation: Boolean(config.objectNotation)
  };
  return function (request, response, next) {
    response.locals.initI18nForBrowser = function () {
      var targetLocale = request.locale;
      var targetCatalog = {};
      request.locale = false;
      var fullCatalog = request.getCatalog();
      request.locale = targetLocale;
      Object.entries(fullCatalog).forEach(function (_ref) {
        var _ref2 = _slicedToArray(_ref, 2),
            locale = _ref2[0],
            catalog = _ref2[1];

        targetCatalog[locale] = locale === targetLocale ? catalog : {};
      });
      configForBrowser.defaultLocale = targetLocale;
      configForBrowser.locales = targetCatalog;
      return "<script>var I18N = ".concat(JSON.stringify(configForBrowser), ";</script>");
    };

    next();
  };
}

module.exports = i18nForBrowser;
//# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoibWlkZGxld2FyZS5qcyIsInNvdXJjZXMiOltdLCJzb3VyY2VzQ29udGVudCI6W10sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiI7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7OyJ9
